# Continuous Deployment

Get build-time Python commands \
from various CA, CI, OCI / OS.

## Features

* [ ] support
    * [ ] package repositories mirror
      * [ ] custom CA certificates
      * [X] known CA certificates
    * [X] Operating Systems
      * [X] Debian
      * [X] Alma
    * [X] Continuous Integration platforms
      * [X] GitHub → Gitea → ForgeJo
      * [X] GitLab

## How

| Variable | Description             |
|----------|-------------------------|
| CD_CA_n  | Numbered CA certificate |
| CD_DNS   | Space separated servers |

## Tasks

* integrate project repository cloning
* override repository and framework locations
* redefine package repositories mirror locations
* split count & write for CA certificates
